# class Puppet::ModuleTool::Errors::MissingPackageError

### Public Class Methods

new(options) click to toggle source
Calls superclass method Puppet::Error.new

    # File lib/puppet/module_tool/errors/installer.rb, line 62
    def initialize(options)
      @requested_package = options[:requested_package]
      super "#{@requested_package} requested; Package #{@requested_package} does not exist"
    end

### Public Instance Methods

multiline() click to toggle source

    # File lib/puppet/module_tool/errors/installer.rb, line 67
        def multiline
          "Could not install package #{@requested_package}
      Package #{@requested_package} does not exist
    ".strip
        end